\message{ !name(talachas.tex)}\documentclass[12pt,a4paper,titlepage]{article}
% \usepackage[utf8]{inputenc}
% \usepackage[spanish]{babel}
%\usepackage[spanish,activeacute]{babel}
%\usepackage[utf8]{inputenc}
\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{graphicx}
\usepackage{lmodern}
\usepackage{tabularx}
\usepackage{xcolor}
% \renewcommand{\rmdefault}{phv} % Arial
% \renewcommand{\sfdefault}{phv} % Arial
%\usepackage{algorithm}
%\usepackage{algorithmic}
%\usepackage{algpseudocode}

\usepackage[left=3.5cm,right=3.5cm,top=3.5cm,bottom=3.5cm]{geometry}
\author{ }
\title{{ \Large Talachas }  } 


\newtheorem{theorem}{{\textbf Teorema}}
\newtheorem{definition}{{Definici\'on}}
\newtheorem{assumption}{Assumption}
\newtheorem{lemma}{Lema}
\newtheorem{proposition}{Proposici\'on}
\newtheorem{corollary}{Corolario}
\newtheorem{note}{note}


\usepackage{listings}
\usepackage{xcolor} % for setting colors


% \lstset{ 
%     language=C++, % choose the language of the code
%     basicstyle=\fontfamily{pcr}\selectfont\footnotesize\color{red},
%     keywordstyle=\color{black}\bfseries, % style for keywords
%     numbers=none, % where to put the line-numbers
%     numberstyle=\tiny, % the size of the fonts that are used for the line-numbers     
%     backgroundcolor=\color{darkgray},
%     showspaces=false, % show spaces adding particular underscores
%     showstringspaces=false, % underline spaces within strings
%     showtabs=false, % show tabs within strings adding particular underscores
%     frame=single, % adds a frame around the code
%     tabsize=2, % sets default tabsize to 2 spaces
%     rulesepcolor=\color{gray}
%     captionpos=b, % sets the caption-position to bottom
%     breaklines=true, % sets automatic line breaking
%     breakatwhitespace=false, 
% }

% % set the default code style
% \lstset{
%   backgroundcolor=\color{gray}
%   frame=tb, % draw a frame at the top and bottom of the code block
%   tabsize=4, % tab space width
%   showstringspaces=false, % don't mark spaces in strings
%   numbers=left, % display line numbers on the left
%   commentstyle=\color{green}, % comment color
%   keywordstyle=\color{blue}, % keyword color
%   stringstyle=\color{red} % string color
% }


\lstset{
  backgroundcolor=\color[gray]{0.9},
  frame=single,
  mathescape=true,
  commentstyle=\color{green}, % comment color
  keywordstyle=\color{blue}, % keyword color
  stringstyle=\color{red}, % string color
   showspaces=false, % show spaces adding particular underscores
}
\lstset{language=C++}


\begin{document}

\message{ !name(talachas.tex) !offset(-3) }


\maketitle
\tableofcontents

\section{Introduction}
\label{sec:intr}


\section{Problem statement}
The equation to be solved is
\begin{align*}
  \begin{cases}
    \label{eq:eq1}
    \mathbf{u}_t &= \nabla \cdot (\mathbf{k}\nabla \mathbf{u}) \\  
    \mathbf{u}(a,y,t) &= \mathbf{u}(b,y,t)\\
    \mathbf{u}(x,c,t) &= \mathbf{u}(x,d,t)\\
   \textbf{u}_0(\textbf{x}) = \mathbf{u}(x,y,0) &= \delta_{x_i}\\
  \end{cases}
\end{align*}
with
\begin{displaymath}
  \mathbf{k}=
  \begin{pmatrix}
    k_1 & 0 \\
    0 & k_2
  \end{pmatrix}
\end{displaymath}
$\mathcal{C}=[a,b]\times [c,d]$.

Defining:
\begin{displaymath}
  \bar{\mathbf{q}}:= -\nabla \mathbf{u} \implies \mathbf{u}_t= -\nabla \cdot (\mathbf{k} \bar{\mathbf{q}})
\end{displaymath}
with
\begin{displaymath}
  \bar{\mathbf{q}} =
  \begin{pmatrix}
    q_1 \\
    q_2
  \end{pmatrix}
\end{displaymath}

\textbf{Discontinuous Galerkin Method}

\begin{align}
  \int_\mathcal{C} \bar{\mathbf{q}} \cdot \bar{\nu}_m=-\int_\mathcal{C} \nabla \mathbf{u} \cdot \bar{\nu}_m &= -\int_{\partial \mathcal{C}} \bar{\nu}_m \cdot \mathbf{n}(\mathbf{u})^* + \int_{\mathcal{C}} \mathbf{u} \nabla \cdot \bar{\nu}_m  \label{eq2}\\
  \int_{\mathcal{C}}\mathbf{u}_t \nu = -\int_{\mathcal{C}} \nabla \cdot (\mathbf{k}\bar{\mathbf{q}}) \nu &= -\int_{\partial \mathcal{C}} \nu (\mathbf{k}\bar{\mathbf{q}})^* \cdot \mathbf{n} + \int_{\mathcal{C}} (\mathbf{k}\bar{\mathbf{q}}) \cdot \nabla \nu \label{eq3} \\
  \int_{\mathcal{C}} \textbf{u}_0 \nu &= \int_{\mathcal{C}} \delta_{\textbf{x}_i}\nu
\end{align}
with $m=1,2$. Given $K,L\in \mathbb{Z}^+$, we defined
\begin{align*}
  \Delta_x &:= \frac{b-a}{K} \quad \Delta_y := \frac{d-c}{L} \\  
  x_{k-1/2} &:= a + \Delta_x k \quad k=0,\ldots, K \\
  y_{l-1/2} &:= c + \Delta_y l \quad l=0,\ldots, L \\
  \mathcal{C}_{k,l}&:= [x_{k-1/2},x_{k+1/2}] \times [y_{l-1/2},y_{l+1/2}]\\
  I_{k}&:=[x_{k-1/2},x_{k+1/2}], \; I_{l}:=[y_{l-1/2},y_{l+1/2}] \\
  \bar{\nu}_{i,1} &:= (\phi_i(x,y),0), \; \bar{\nu}_{i,2} := (0,\phi_i(x,y)), \; v_i := \phi(x,y)\\  
\end{align*} 
We notice that, 
\begin{displaymath}
  \mathcal{C} = \bigcup_{k,l}^{K,L} \mathcal{C}_{k,l}.
\end{displaymath}
Suppose,
\begin{align*}
  \mathbf{u}\big\vert_{C_{k,l}} \simeq \mathbf{u}_h& = \sum_{j=0}^3 u_{k,l}^j \phi_j(x,y) \\
  \bar{\mathbf{q}}\big\vert_{C_{k,l}} \simeq \bar{\mathbf{q}}_h& =\begin{pmatrix} \sum_{j=0}^3 q_{k,l}^{j,0} \phi_j(x,y) \\ \sum_{j=0}^3 q_{k,l}^{j,1} \phi_j(x,y)  \end{pmatrix} \\
\end{align*}

Rewriting (\ref{eq2}) and (\ref{eq3}) in $\mathcal{C}_{k,l}$,

\begin{align}
  \int_{\mathcal{C}_{k,l}^-} \bar{\mathbf{q}_h} \cdot \bar{\nu}_{i,m} &= -\int_{\partial \mathcal{C}_{k,l}^-}  \bar{\nu}_{i,m}^- \cdot \mathbf{n}^- (\mathbf{u}_h)^*+ \int_{\mathcal{C^-}_{k,l}} \mathbf{u}_h \nabla \cdot \bar{\nu}_{i,m}  \nonumber \\ 
  &=  -\int_{\partial \mathcal{C}_{k,l}^-}  \bar{\nu}_{i,m}^- \cdot h_{\mathbf{u}_h,\partial \mathcal{C}_{k,l}^-}(\mathbf{u}_h^-,\mathbf{u}_h^+,\mathbf{n}^-) + \int_{\mathcal{C}_{k,l}^-} \mathbf{u}_h \nabla \cdot \bar{\nu}_{i,m} \label{eq4} \\ 
  \int_{\mathcal{C}_{k,l}^-}\dot{\mathbf{u}}_h \nu_i  &= -\int_{\partial \mathcal{C}_{k,l}^-} \nu_i^-(\mathbf{k}\bar{\mathbf{q}_h})^* \cdot \mathbf{n}^- + \int_{\mathcal{C}_{k,l}^-} (\mathbf{k}\bar{\mathbf{q}_h}) \cdot \nabla \nu_i \nonumber \\
                                                                      &= -\int_{\partial \mathcal{C}_{k,l}^-} h_{(\mathbf{k}\bar{\mathbf{q}_h}),\partial\mathcal{C}_{k,l}^- } ((\mathbf{k}\bar{\mathbf{q}_h})^-,(\mathbf{k}\bar{\mathbf{q}_h})^+,\mathbf{n}^-)  + \int_{\mathcal{C}_{k,l}^-} (\mathbf{k}\bar{\mathbf{q}_h}) \cdot \nabla \nu_i \label{eq5} \\
  \int_{\mathcal{C}_{k,l}} \textbf{u}_{h,0} \nu_i &= \int_{\mathcal{C}_{k,l}}\delta_{\textbf{x}_i}\nu_i   
\end{align}
In this case we  take the flows, 
\begin{align*}
  h_{\mathbf{u}_h,\partial \mathcal{C}_{k,l}^-}(\mathbf{u}_h^-,\mathbf{u}_h^+,\mathbf{n}^-) &= \left(\frac{\mathbf{u}_h^-+\mathbf{u}_h^+}{2}\right) \mathbf{n}^- \\
 h_{(\mathbf{k}\bar{\mathbf{q}_h}),\partial\mathcal{C}_{k,l} } ((\mathbf{k}\bar{\mathbf{q}_h})^-,(\mathbf{k}\bar{\mathbf{q}_h})^+,\mathbf{n}^-) &= \left(\frac{2k^-k^+}{k^-+k^+}\right) \left(\frac{\mathbf{q}_h^-+\mathbf{q}_h^+}{2} \right)\cdot \mathbf{n}^-
\end{align*}

Implies
\begin{align}
  \sum_j q_{k,l}^{j,0}\int_{C_{k,l}} \phi_j \phi_i& =  -\frac{1}{2} \int_{I_{l}} \left(  \sum_j u_{k,l}^{j} \phi_j^- \phi_i^-+\sum_j u_{k,l+1}^{j} \phi_j^+ \phi_i^- \right)\Big\vert_{x_{k+1/2}}   \nonumber \\
                                                  &+\frac{1}{2} \int_{I_{l}} \left(  \sum_j u_{k,l}^{j} \phi_j^- \phi_i^-+\sum_j u_{k,l-1}^{j} \phi_j^+ \phi_i^- \right)\Big\vert_{x_{k-1/2}}  \\ &+ \sum_{j} u_{k,l}^j \int_{\mathcal{C}_{k,l}}\phi_j (\phi_i)_x  \nonumber \\ \label{eq:eq6}
  \sum_j q_{k,l}^{j,1}\int_{C_{k,l}} \phi_j \phi_i &=  - \frac{1}{2} \int_{I_{k}} \left(  \sum_j u_{k,l}^{j} \phi_j^- \phi_i^-+\sum_j u_{k-1,l}^{j} \phi_j^+ \phi_i^- \right)\Big\vert_{y_{l+1/2}}   \nonumber \\
  &+   \frac{1}{2} \int_{I_{k}} \left(  \sum_j u_{k,l}^{j} \phi_j^- \phi_i^-+\sum_j u_{k+1,l}^{j} \phi_j^+ \phi_i^- \right)\Big\vert_{y_{l-1/2}}  \\ &+ \sum_{j} u_{k,l}^j \int_{\mathcal{C}_{k,l}}\phi_j (\phi_i)_y  \nonumber \\
  \sum_{j} \dot{u}_{k,l}^j \int_{\mathcal{C}_{k,l}} \phi_j \phi_i &= -\int_{I_l} (k_1)^* \frac{1}{2} \left( \sum_j q_{k,l}^{j,0}  \phi_j^-\phi_i^- +\sum_j q_{k,l+1}^{j,0}  \phi_j^+\phi_i^- \right) \big\vert_{x_{k+1/2}}  \nonumber\\
                                                  &+ \int_{I_l} (k_1)^* \frac{1}{2} \left( \sum_j q_{k,l}^{j,0}  \phi_j^-\phi_i^- +\sum_j q_{k,l-1}^{j,0}  \phi_j^+\phi_i^- \right) \big\vert_{x_{k-1/2}} \nonumber \\
                                                  &+\sum_{j} q_{k,l}^{j,0} k_1 \int_{C_{k,l}} \phi_j (\phi_i)_x \\
                                                  &-   \int_{I_k} (k_2)^* \frac{1}{2} \left( \sum_j q_{k,l}^{j,0}  \phi_j^-\phi_i^- +\sum_j q_{k-1,l}^{j,0}  \phi_j^+\phi_i^- \right) \big\vert_{y_{l+1/2}}  \nonumber\\
                                                  &+   \int_{I_k} (k_2)^* \frac{1}{2} \left( \sum_j q_{k,l}^{j,0}  \phi_j^-\phi_i^- +\sum_j q_{k+1,l}^{j,0}  \phi_j^+\phi_i^- \right) \big\vert_{y_{l-1/2}} \nonumber \\
                                                  &+\sum_{j} q_{k,l}^{j,1} k_2 \int_{C_{k,l}} \phi_j (\phi_i)_y \nonumber
\end{align}

By example the (7) equation can be writen by,

\begin{align}
  \begin{pmatrix}
    \int_{\mathcal{C}_{k,l}} \phi_0 \phi_0 &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 \phi_0 \\
    \vdots & & \vdots \\
    \int_{\mathcal{C}_{k,l}} \phi_0 \phi_3 &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 \phi_3 \\
  \end{pmatrix}
  \begin{pmatrix}
    q_{k,l}^{0,0} \\  \nonumber
    \vdots\\
    q_{k,l}^{3,0}
  \end{pmatrix} \nonumber \\ 
  &= -\frac{1}{2}\begin{pmatrix}
    \int_{I_l} (\phi_0^- \phi_0^-)\big\vert_{x_{k+1/2}}& \cdots &\int_{I_l} (\phi_3^- \phi_0^-)\big\vert_{x_{k+1/2}}\\
    \vdots & & \vdots \\
    \int_{I_l} (\phi_0^- \phi_3^-)\big\vert_{x_{k+1/2}}& \cdots &\int_{I_l} (\phi_3^- \phi_3^-)\big\vert_{x_{k+1/2}}\\
  \end{pmatrix}
  \begin{pmatrix}
    u_{k,l}^{0} \\
    \vdots\\
    u_{k,l}^{3}
  \end{pmatrix}  \nonumber \\  \nonumber
  &-
  \frac{1}{2}\begin{pmatrix}
    \int_{I_l} (\phi_0^+ \phi_0^-)\big\vert_{x_{k+1/2}}& \cdots &\int_{I_l} (\phi_3^+ \phi_0^-)\big\vert_{x_{k+1/2}}\\
    \vdots & & \vdots \\
    \int_{I_l} (\phi_0^+ \phi_3^-)\big\vert_{x_{k+1/2}}& \cdots &\int_{I_l} (\phi_3^+ \phi_3^-)\big\vert_{x_{k+1/2}}\\
  \end{pmatrix}
  \begin{pmatrix}
    u_{k,l+1}^{0} \\
    \vdots\\
    u_{k,l+1}^{3}
  \end{pmatrix}
  \\  \nonumber
   &+
  \frac{1}{2}\begin{pmatrix}
    \int_{I_l} (\phi_0^- \phi_0^-)\big\vert_{x_{k-1/2}}& \cdots &\int_{I_l} (\phi_3^- \phi_0^-)\big\vert_{x_{k-1/2}}\\
    \vdots & & \vdots \\
    \int_{I_l} (\phi_0^- \phi_3^-)\big\vert_{x_{k-1/2}}& \cdots &\int_{I_l} (\phi_3^- \phi_3^-)\big\vert_{x_{k-1/2}}\\
  \end{pmatrix}
  \begin{pmatrix}
    u_{k,l}^{0} \\
    \vdots\\
    u_{k,l}^{3}
  \end{pmatrix}  \nonumber
  \\
  &+                                            
   \frac{1}{2}\begin{pmatrix}
    \int_{I_l} (\phi_0^- \phi_0^+)\big\vert_{x_{k-1/2}}& \cdots &\int_{I_l} (\phi_3^- \phi_0^+)\big\vert_{x_{k-1/2}}\\
    \vdots & & \vdots \\
    \int_{I_l} (\phi_0^- \phi_3^+)\big\vert_{x_{k-1/2}}& \cdots &\int_{I_l} (\phi_3^- \phi_3^+)\big\vert_{x_{k-1/2}}\\
  \end{pmatrix}
  \begin{pmatrix}
    u_{k,l-1}^{0} \\
    \vdots\\
    u_{k,l-1}^{3}
  \end{pmatrix}  \nonumber
  \\
  &+ 
    \begin{pmatrix}
    \int_{\mathcal{C}_{k,l}} \phi_0 (\phi_0)_x &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 (\phi_0)_x \\
    \vdots & & \vdots \\
    \int_{\mathcal{C}_{k,l}} \phi_0 (\phi_3)_x &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 (\phi_3)_x \\
  \end{pmatrix}
  \begin{pmatrix}
    u_{k,l}^{0} \\
    \vdots\\
    u_{k,l}^{3}
  \end{pmatrix} \nonumber
\end{align}



% \begin{align}&
%   \begin{pmatrix}
%     \int_{\mathcal{C}_{k,l}} \phi_0 \phi_0 &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 \phi_0 \\
%     \vdots & & \vdots \\
%     \int_{\mathcal{C}_{k,l}} \phi_0 \phi_3 &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 \phi_3 \\
%   \end{pmatrix}
%   \begin{pmatrix}
%     q_{k,l}^{0,1} \\  \nonumber
%     \vdots\\
%     q_{k,l}^{3,1}
%   \end{pmatrix} 
%   = \frac{1}{2}\begin{pmatrix}
%     \int_{I_k} (\phi_0^- \phi_0^-)\big\vert_{I_l}& \cdots &\int_{I_k} (\phi_3^- \phi_0^-)\big\vert_{I_l}\\
%     \vdots & & \vdots \\
%     \int_{I_k} (\phi_0^- \phi_3^-)\big\vert_{I_l}& \cdots &\int_{I_k} (\phi_3^- \phi_3^-)\big\vert_{I_l}\\
%   \end{pmatrix}
%   \begin{pmatrix}
%     u_{k,l}^{0,-} \\
%     \vdots\\
%     u_{k,l}^{3,-}
%   \end{pmatrix}\\  \nonumber
%    +& 
%   \frac{1}{2}\begin{pmatrix}
%     \int_{I_k} (\phi_0^- \phi_0^+)\big\vert_{I_l}& \cdots &\int_{I_k} (\phi_3^- \phi_0^+)\big\vert_{I_l}\\
%     \vdots & & \vdots \\
%     \int_{I_k} (\phi_0^- \phi_3^+)\big\vert_{I_l}& \cdots &\int_{I_k} (\phi_3^- \phi_3^+)\big\vert_{I_l}\\
%   \end{pmatrix}
%   \begin{pmatrix}
%     u_{k,l}^{0,+} \\
%     \vdots\\
%     u_{k,l}^{3,+}
%   \end{pmatrix}  \nonumber
%   +
%     \begin{pmatrix}
%     \int_{\mathcal{C}_{k,l}} \phi_0 (\phi_0)_x &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 (\phi_0)_x \\
%     \vdots & & \vdots \\
%     \int_{\mathcal{C}_{k,l}} \phi_0 (\phi_3)_x &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 (\phi_3)_x \\
%   \end{pmatrix}
%   \begin{pmatrix}
%     u_{k,l}^{0} \\
%     \vdots\\
%     u_{k,l}^{3}
%   \end{pmatrix}
% \end{align}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% \begin{align}
%   \begin{pmatrix}
%     \int_{\mathcal{C}_{k,l}} \phi_0 \phi_0 &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 \phi_0 \\
%     \vdots & & \vdots \\
%     \int_{\mathcal{C}_{k,l}} \phi_0 \phi_3 &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 \phi_3 \\
%   \end{pmatrix}
%   \begin{pmatrix}
%     \dot{u}_{k,l}^{0} \\  \nonumber
%     \vdots\\
%     \dot{u}_{k,l}^{3}
%   \end{pmatrix}
%   &=\\
%   &\frac{(k_1)^*\big\vert_{I_l}}{2}\begin{pmatrix}
%     \int_{I_k} (\phi_0^- \phi_0^-)\big\vert_{I_l}& \cdots &\int_{I_k} (\phi_3^- \phi_0^-)\big\vert_{I_l}\\
%     \vdots & & \vdots \\
%     \int_{I_k} (\phi_0^- \phi_3^-)\big\vert_{I_l}& \cdots &\int_{I_k} (\phi_3^- \phi_3^-)\big\vert_{I_l}\\
%   \end{pmatrix}
%   \begin{pmatrix}
%     q_{k,l}^{0,0,-} \\
%     \vdots\\
%     q_{k,l}^{3,0,-}
%   \end{pmatrix}  \nonumber
%   +   \\  
%   &\frac{(k_1)^*\big\vert_{I_l}}{2}
%   \begin{pmatrix}
%     \int_{I_k} (\phi_0^- \phi_0^+)\big\vert_{I_l}& \cdots &\int_{I_k} (\phi_3^- \phi_0^+)\big\vert_{I_l}\\
%     \vdots & & \vdots \\
%     \int_{I_k} (\phi_0^- \phi_3^+)\big\vert_{I_l}& \cdots &\int_{I_k} (\phi_3^- \phi_3^+)\big\vert_{I_l}\\
%   \end{pmatrix}
%   \begin{pmatrix}
%     q_{k,l}^{0,0,+} \\
%     \vdots\\
%     q_{k,l}^{3,0,+}
%   \end{pmatrix}  \nonumber +\\
%    & \begin{pmatrix}
%     \int_{\mathcal{C}_{k,l}} \phi_0 (\phi_0)_x &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 (\phi_0)_x \\
%     \vdots & & \vdots \\
%     \int_{\mathcal{C}_{k,l}} \phi_0 (\phi_3)_x &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 (\phi_3)_x \\
%   \end{pmatrix} 
%   \begin{pmatrix}
%     q_{k,l}^{0,0} \\
%     \vdots\\
%     q_{k,l}^{3,0}
%   \end{pmatrix}+ \nonumber
%   \\ & \frac{(k_2)^*\big\vert_{I_k}}{2}
%   \begin{pmatrix}
%     \int_{I_l} (\phi_0^- \phi_0^-)\big\vert_{I_k}& \cdots &\int_{I_l} (\phi_3^- \phi_0^-)\big\vert_{I_k}\\
%     \vdots & & \vdots \\
%     \int_{I_l} (\phi_0^- \phi_3^-)\big\vert_{I_k}& \cdots &\int_{I_l} (\phi_3^- \phi_3^-)\big\vert_{I_k}\\
%   \end{pmatrix} 
%   \begin{pmatrix}
%     q_{k,l}^{0,1,-} \\
%     \vdots\\
%     q_{k,l}^{3,1,-}
%   \end{pmatrix}+ \nonumber \\    
%   &\frac{(k_2)^*\big\vert_{I_k}}{2}
%   \begin{pmatrix}
%     \int_{I_l} (\phi_0^- \phi_0^+)\big\vert_{I_k}& \cdots &\int_{I_l} (\phi_3^- \phi_0^+)\big\vert_{I_k}\\
%     \vdots & & \vdots \\
%     \int_{I_l} (\phi_0^- \phi_3^+)\big\vert_{I_k}& \cdots &\int_{I_l} (\phi_3^- \phi_3^+)\big\vert_{I_k}\\
%   \end{pmatrix}  \nonumber
%   \begin{pmatrix}
%     q_{k,l}^{0,0,+} \\
%     \vdots\\
%     q_{k,l}^{3,0,+}
%   \end{pmatrix}+  \nonumber \\
%   &   \begin{pmatrix}
%     \int_{\mathcal{C}_{k,l}} \phi_0 (\phi_0)_x &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 (\phi_0)_x \\
%     \vdots & & \vdots \\
%     \int_{\mathcal{C}_{k,l}} \phi_0 (\phi_3)_x &\cdots& \int_{\mathcal{C}_{k,l}} \phi_3 (\phi_3)_x \\
%   \end{pmatrix}
%   \begin{pmatrix}
%     q_{k,l}^{0,0} \\
%     \vdots\\
%     q_{k,l}^{3,0}
%   \end{pmatrix} \nonumber
% \end{align}



So, we have:
\begin{align*}
  Ml \mathbf{q}_{k,l}^0 &= -\frac{1}{2} ME^{--} \mathbf{u}_{k,l} -\frac{1}{2} ME^{+-} \mathbf{u}_{k,l+1} + \frac{1}{2} MW^{--} \mathbf{u}_{k,l} + \frac{1}{2} MW^{+-} \mathbf{u}_{k,l-1} + M_x \mathbf{u}_{k,l} \\
  Ml \mathbf{q}_{k,l}^1 &= -\frac{1}{2} MN^{--} \mathbf{u}_{k,l} -\frac{1}{2} MN^{+-} \mathbf{u}_{k-1,l} + \frac{1}{2} MS^{--} \mathbf{u}_{k,l} + \frac{1}{2} MS^{+-} \mathbf{u}_{k+1,l} + M_y \mathbf{u}_{k,l} \\
  Ml \dot{\mathbf{u}}_{k,l} &= -\frac{1}{2} (k_1)^*\vert_{x_{k+\frac{1}{2}}}ME^{--} \mathbf{q}^0_{k,l} -\frac{1}{2} (k_1)^*\vert_{x_{k+\frac{1}{2}}}ME^{+-} \mathbf{q}^0_{k,l+1} \\ &+ \frac{1}{2} (k_1)^*\vert_{x_{k-\frac{1}{2}}} MW^{--} \mathbf{q}^0_{k,l} + \frac{1}{2} (k_1)^*\vert_{x_{k-\frac{1}{2}}} MW^{+-} \mathbf{q}^0_{k,l-1}  \\
                        &- \frac{1}{2} (k_2)^*\vert_{y_{l+\frac{1}{2}}} MN^{--} \mathbf{q}^1_{k,l} - \frac{1}{2} (k_2)^*\vert_{y_{l+\frac{1}{2}}} MN^{+-} \mathbf{q}^1_{k-1,l}  \\
                        &+ \frac{1}{2} (k_2)^*\vert_{y_{l-\frac{1}{2}}} MS^{--} \mathbf{q}^1_{k,l} + \frac{1}{2} (k_2)^*\vert_{y_{l-\frac{1}{2}}} MS^{+-} \mathbf{q}^1_{k+1,l}  \\
  &+  M_x \mathbf{q}^0_{k,l} +  M_y \mathbf{q}^1_{k,l}
\end{align*}



\begin{displaymath}
  \begin{pmatrix}
    \int_{C_{k,l}} \phi_0 \phi_0 & \cdots & \int_{C_{k,l}} \phi_3 \phi_0 \\
    \vdots & &\vdots \\
    \int_{C_{k,l}} \phi_0 \phi_3 & \cdots & \int_{C_{k,l}} \phi_3 \phi_3 
  \end{pmatrix}
  \begin{pmatrix}
    u_{k,l}^0(0) \\
    \vdots \\
    u_{k,l}^3(0) \\
  \end{pmatrix} =
  \begin{pmatrix}
    \int_{\mathcal{C}_{k,l}}\delta_{\mathbf{x}_i} \phi_0\\
    \int_{\mathcal{C}_{k,l}}\delta_{\mathbf{x}_i} \phi_1\\
    \int_{\mathcal{C}_{k,l}}\delta_{\mathbf{x}_i} \phi_2\\
    \int_{\mathcal{C}_{k,l}}\delta_{\mathbf{x}_i} \phi_3
  \end{pmatrix}
\end{displaymath}


% \begin{figure}[t]
%   \centering
%   \includegraphics[scale=1]{elements}
%   \caption{Elements}
%   \label{fig:1}
% \end{figure}

% \pagebreak
Where the  functions basis in $\mathcal{C}_{k,l}$ are defined as,
\begin{align*}
   \phi_0(x,y) &=  \left( \frac{x-x_{k+1/2}}{x_{k-1/2}-x_{k+1/2}} \right) \left(\frac{y-y_{l+1/2}}{y_{l-1/2}-y_{l+1/2}} \right) \\
   \phi_1(x,y) &=  \left( \frac{x-x_{k-1/2}}{x_{k+1/2}-x_{k-1/2}} \right) \left(\frac{y-y_{l+1/2}}{y_{l-1/2}-y_{l+1/2}} \right) \\                 
  \phi_2(x,y) &=  \left( \frac{x-x_{k-1/2}}{x_{k+1/2}-x_{k-1/2}} \right) \left(\frac{y-y_{l-1/2}}{y_{l+1/2}-y_{l-1/2}} \right) \\
   \phi_4(x,y) &=  \left( \frac{x-x_{k+1/2}}{x_{k-1/2}-x_{k+1/2}} \right) \left(\frac{y-y_{l-1/2}}{y_{l+1/2}-y_{l-1/2}} \right) \\
\end{align*}
% Donde por ejemplo 
%  \begin{align*}
%    \int_{I_l}\left(\phi_0^- \phi_0^-\right)\big\vert_{I_k} &=  
%  \end{align*}

\textbf{Algoritmo }
 \begin{enumerate}
 \item Dados  $\{\delta_{\mathbf{x}_{i,j}}\}_{ \forall (i, j)\in K\times L}$ \\
 \item Calcular $u_{k,l}(0) \;\forall C_{k,l}\in \mathcal{C}$ \\
 \item Para $t=1\cdots N$
 \item  Calcular $q_{k,l}^0(t-1)$ y $q_{k,l}^1(t-1)$  $\forall C_{k,l}\in \mathcal{C}$
 \item Resolver $\dot{u}_{k,l}(t)$  $\forall C_{k,l}\in \mathcal{C}$ (ecuaci\'on diferencial ordinaria) 
 \end{enumerate}


\section{References}
\label{sec:fc}

\begin{thebibliography}{99}

\bibitem{timburton}  Hesthaven J S., Warburton T., \textit{Nodal Discontinuous Galerkin Methods, Algorithms, Analysis, ans Applications}, Springer Science+Business, 2008.



\end{thebibliography}

\end{document}

\message{ !name(talachas.tex) !offset(-457) }
